<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


//JSONを扱うためのパーサ
//require_once(WEBAPP_DIR."/JSON.php");

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Mypage_Moremember_Update_Check
{
    var $tilte;
    var $session;
    var $basicinfo;        //会員登録時に記入済みの情報
    var $yearloopcnt;      //年を選択するリストのsectionループ回数
    var $c_genre;          //ジャンル情報用ＤＢクラス
    var $genrelist;        //foreachで並べるためのジャンル名の配列
    var $c_moremember;     //その他の登録情報用ＤＢクラス
    var $otherinfo;        //その他の登録情報
    var $otherinfo_serial; //その他の登録情報のシリアライズ化情報
    var $auth;             //ログイン情報
//    var $actionChain;
    
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $membercd = $this->auth->getAuthData("membercd");
        
        //ループ回数の決定　下限が1900　上限が「今年」
        $this->yearloopcnt = date('Y') - 1900 + 1;
        //ジャンル情報の取得
        $this->genrelist   = $this->c_genre->selectAll();
        //会員登録時に記入した情報の取得
        $this->basicinfo = $this->c_moremember->getBasicAttr($membercd);
        
        $log =& LogFactory::getLog();
        $log->debug("Customer_Mypage_Moremember_Update_Checkが実行されました", "Customer_Mypage_Moremember_Update_Check#execute");
        /*
        $errorList =& $this->actionChain->getCurErrorList();

        if($_POST['nickname'] == "" || $_POST['introduce_myself'] == "")
        {
            if($_POST['nickname'] == "")          $errorList -> add(1, "ニックネームを入力してください。");
            if($_POST['introduce_myself'] == "") $errorList -> add(1, "自己紹介を入力してください");
            return 'input';
        }
        else{
            return 'success';   
        }
        */
        if(isset($_POST['select_year']) && isset($_POST['select_month']) && isset($_POST['select_day'])) {
            return 'success';
        } else {
            return 'input';
        }
        
    }

    function getYearLoopCount()
    {
        return $this -> yearloopcnt;
    }
    
    function getGenreList()
    {
        return $this -> genrelist;
    }
    
    function getBasicinfo()
    {
        return $this -> basicinfo;
    }
    
    function getOtherinfo()
    {
        return $this -> otherinfo;
    }

    function setOtherinfo_serial($value)
    {
        $value = urldecode($value);
        $this -> otherinfo_serial = $value;
        $this -> otherinfo = unserialize($value);
    }

    function getOtherinfo_serial()
    {
        return urlencode(serialize($this->otherinfo));
    }
    
    function setActionChain(&$value)
    {
        $this -> actionChain =& $value;
    }
}
?>
